reader.h File Reference
`#include "rapidjson.h"`
`#include "encodings.h"`
`#include "internal/meta.h"`
`#include "internal/pow10.h"`
`#include "internal/stack.h"`
`#include "error/error.h"`

Go to the source code of this file.

## Classes

struct | rapidjson::BaseReaderHandler< Encoding, Derived >
| Default implementation of Handler. More...
class | rapidjson::GenericReader< SourceEncoding, TargetEncoding, StackAllocator >
| SAX-style JSON parser. Use Reader for UTF8 encoding and default allocator. More...

## Namespaces

| rapidjson
| main RapidJSON namespace

## Macros

#define | RAPIDJSON_PARSE_ERROR_NORETURN(parseErrorCode, offset)
| Macro to indicate a parse error. More...
#define | RAPIDJSON_PARSE_ERROR(parseErrorCode, offset)
| (Internal) macro to indicate and handle a parse error. More...

## Typedefs

typedef GenericReader< UTF8<>, UTF8<> > | rapidjson::Reader
| Reader with UTF8 encoding and default allocator.

## Enumerations

enum | rapidjson::ParseFlag { rapidjson::kParseDefaultFlags = 0, rapidjson::kParseInsituFlag = 1, rapidjson::kParseValidateEncodingFlag = 2, rapidjson::kParseIterativeFlag = 4, rapidjson::kParseStopWhenDoneFlag = 8 }
| Combination of parseFlags. More...

## Functions

template<typename InputStream >
void | rapidjson::SkipWhitespace (InputStream &is)
| Skip the JSON white spaces in a stream. More...
template<>
void | rapidjson::SkipWhitespace (InsituStringStream &is)
| Template function specialization for InsituStringStream.
template<>
void | rapidjson::SkipWhitespace (StringStream &is)
| Template function specialization for StringStream.